#!/usr/bin/env ruby


require 'xmpp4r'
require 'xmpp4r/muc/helper/simplemucclient'

require_relative 'sasl'

require_relative 'config'

include Jabber


cl = Jabber::Client.new(Jabber::JID.new(LainConfig::JID))
cl.connect
cl.auth(LainConfig::Password)
cl.send(Presence.new)

mainthread = Thread.current

m = Jabber::MUC::MUCClient.new(cl)

m.add_message_callback { |x|
  puts x
}

LainConfig::Rooms.each { |r| m.join("#{r}/#{LainConfig::Nick}") }

Thread.stop

cl.close
